=== debian/changelog ===
devscripts (2.8.6) unstable; urgency=low

  * Julian Gilbey
    - bts: download attachments when caching bug reports (closes: #254102)
    - debian/control: add Suggests: libwww-perl (closes: #277388)
    - debchange: switch from ldap to wget for searching BTS (for
      efficiency)
    - tagpending: switch from ldap to wget for searching BTS (for
      efficiency)
    - uupdate: apply patch from Matthew Palmer to fix overwriting upstream
      files (closes: #230090)

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 28 Dec 2004 11:51:38 -0800

devscripts (2.8.5) unstable; urgency=medium

  * Julian Gilbey
    - bts: fix "bts bugs :" error
    - bts: accept "bts tags nnnnnn +tag" syntax
    - bts: rejuvenate the close command (closes: #245956)
    - bts: fix typo (closes: #268608)
    - debchange: fixed pipe error (closes: #228749)
    - debchange: requires perl >= 5.8, so make this a Depends: in the
      control file (will be standard in sarge anyway, so it's not a
      particularly big deal) (closes: #241138)
    - debuild: correctly count the saved envvars (closes: #268985)
    - debsign: correctly handle DEBSIGN_SIGNLIKE config option (closes:
      #270262)
    - tagpending: make ldap optional (closes: #269124)
    - tagpending: fix -n output message (closes: #269125)
    - tagpending: give progress output; introduce silent option
    - uscan: support version numbers with ~ (change Devscripts::Versort to
      simply call dpkg --compare-versions to do the work) (closes: #232286)
    - wnpp-alert: now correctly reports on orphaned packages as well
      (tweaked some sed scripts; don't know what was actually wrong :-/ )
      (closes: #268948)
  * Joshua Kwan
    - debrsign: Warn if you passed a changes file but omitted the remote
      address.
    - Update debchange and tagpending for new bts2ldap gateway.
    - Remove ${perl:Depends} from control file, dh_perl is not guessing that
      we do actually need 5.8, and so we end up with a perl (>= 5.8), perl
      dependency, which is wrong.

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 26 Sep 2004 13:41:37 -0700

devscripts (2.8.4) unstable; urgency=medium

  * The Barbrady release ("Move along people, there's NOTHING TO SEE here..")
  * Add build-depends on the perl packages that perl -c needs to do its thing.
    Thanks Anibal Monsalve Salazar for pointing this out. Closes: #266847

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 19 Aug 2004 09:13:14 -0700

devscripts (2.8.3) unstable; urgency=medium

  * The "timely bug report" release.
  * uupdate.sh: [ $# ne 0 ] -> [ $# -ne 0 ]. Thanks Fumitoshi UKAI.
    (Closes: #266221)
  * Run perl -c on all the Perl scripts and sh -n on all of the shell
    scripts, in foresight of future syntax errors.
  * tagpending.sh: Add a space after the source package name. Thanks Guillem
    Jover for pointing this out.
  * Remove the last remnants of the abandoned debpanic script from debi.pl.
  * bts.pl: Fix gooood crack in 'it' usage. ($it eq undef -> not defined $it.)
    (Closes: #266717)

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 18 Aug 2004 01:28:37 -0700

devscripts (2.8.2) unstable; urgency=low

  * tagpending.sh:
      - s/help/usage/. Another buglet found by Steve Kowalik. Sigh!
        (Closes: #265412)
      - Include the source package name in the 'package' portion of
        the generated message. (Closes: #265445)

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 16 Aug 2004 13:23:10 -0700

devscripts (2.8.1) unstable; urgency=medium

  * debchange.pl: Don't check for -w 'debian/changelog', check whether
    we're in debian/ first, to avoid false positives. (Closes: #264310)
  * tagpending.sh: Steve Kowalik's personal email is s3kr1t, so don't use
    mail(1) to send the control email, but toss it all to bts.pl which will
    handle all the $DEBEMAIL and $EMAIL and such. (Closes: #264767)

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 10 Aug 2004 09:41:14 -0700

devscripts (2.8) unstable; urgency=low

  * Now comaintained by Joshua Kwan and Julian Gilbey.
  * Build system:
    - `pwd` -> $(CURDIR) in debian/rules.
    - Remove $(CWRAPPERS) in Makefile's clean target.
  * archive/cvs-buildpackage: Remove.
  * debchange:
    - Add -n / --nmu option for NMUs. (Closes: #184944)
    - Our BTS web parser is broken. Move to Net::LDAP and the
      more machine-friendly bts2ldap gateway. Change the Suggests:
      on libwww-perl to libnet-ldap-perl.
    - Do not proceed with parsing versions and contacting the BTS if
      debian/changelog is not writable. (Closes: #235485, #178080)
  * debsign:
    - Don't prompt to overwrite the dsc file (ie. may be owned by root,
      parent dir owned by yourself) - force it and hope it works.
      (Closes: #249950)
    - Change nonstandard head -1 to head -n 1. (Closes: #231130)
    - Add a versioned dependency on gnupg (>= 1.0.7), when
      --no-show-policy-url was added. (Closes: #228938)
  * debrsign:
    - Add --path option to specify full path to gnupg/pgp. (Closes: #243013)
  * debuild:
    - Preserve GPG_TTY so that gpg-agent is recognized. (Closes: #254112)
  * bts:
    - Recognize the 'l10n' tag for bts. (Closes: #227735)
    - bts.1: Fix extraneous indentation. (Closes: #236309)
    - Allow 'it' as an alias to the previous bug referenced.
      (Closes: #256051)
    - cache: Fix uninitialized value warning by checking how many arguments
      were passed. (Closes: #225317)
  * Devscripts::Versort:
    - Apply Roderick Schertler's patch to fix an infinite loop comparing
      identical non-Debian revisions. (Closes: #236344)
  * rc-alert:
    - rc-alert.1: Add SEE ALSO for popbugs(1). (Closes: #227078)
  * uscan:
    - uscan.pl, uscan.1: Add brief mention for --debug. (Closes: #238655)
    - uscan.pl: remove HTTP GET data from downloaded file. (Closes: #247175)
  * New scripts by me:
    - tagpending: Within a source directory, tags all bugs not already
      'pending' to be as such. (associated: tagpending.1)


