=== debian/changelog ===
devscripts (2.8.14) unstable; urgency=low

  * uscan: fix second showstopper (broken URL parsing) (closes: #301169)

 -- Julian Gilbey <jdg@debian.org>  Thu, 24 Mar 2005 14:33:05 +0000

devscripts (2.8.13) unstable; urgency=low

  * bts: provide --quiet option (closes: #299344)
  * dpkg-depcheck: improve sgml catalog regexp (closes: #295845)
  * uupdate: improve error message (closes: #267317)
  * uscan: fix showstopper (closes: #301177)

 -- Julian Gilbey <jdg@debian.org>  Thu, 24 Mar 2005 09:13:15 +0000

devscripts (2.8.12) unstable; urgency=low

  * bts: allow --mbox etc. options to appear after the show/bugs keyword
    as well as before, and similarly with the "cache" command
  * bts: allow bug numbers to end with a ":" (closes: #300965)
  * debchange: use access rather than stat for checking file permissions
    (closes: #298659); also do same to debi and debuild
  * debdiff: don't hardcode wdiff path
  * debsign: correct obsolete head syntax (closes: #300844)
  * uscan: watch files are now version=3 (should have done this with
    2.8.11, oops)
  * uscan: now support DEHS-style output and --watchfile etc options
  * uscan: also state upstream URL for newer versions (closes: #230813)
  * uscan: handle funny upstream version numbers using multiple groups
    (closes: #282255) and version-number mangling, both for upstream
    version numbers (closes: #266095) and Debian version numbers (closes:
    #261385)
  * uscan: support --rename option to rename file instead of symlinking it
    (closes: #227952)
  * uscan: call find with -follow option: this should not cause any
    problems (if it does, we can make it optional) (closes: #243758)

 -- Julian Gilbey <jdg@debian.org>  Tue, 15 Mar 2005 18:41:25 +0000

devscripts (2.8.11) unstable; urgency=low

  * Julian Gilbey
    - Added a dependency on sed (>= 2.95) as wnpp uses the T command (thanks
      to Olafur Jens Sig for alerting me to this one)
    - bts: fix --cache-mode=mbox after --cache-mode=min bug (closes: #290487)
    - bts: quieten (hopefully) unnecessary warning from HTML::Parse for
      funny characters (closes: #292671)
    - debchange: support --changelog and --news options for specifying
      changelog (closes: #219135, #261878)
    - debchange: remove emacs backup file (closes: #297489)
    - debchange: document --nmu in manpage (closes: #299234)
    - debsign: check for gpg version for no-show-policy-url option
      (closes: #293792)
    - uscan: change behaviour with respect to directory name checking: now
      only checks directories with matching names, rather than downloading
      newer versions regardless (closes: #260538)
    - uscan: handle metacharacters in directory components (closes: #262489)
    - uscan: allow directory name patterns (not quite recursive, but it's
      pretty much what was requested) (closes: #143284)
  * Joshua Kwan
    - dscverify: Don't use --emulate-md-encode-bug in dscverify anymore,
      it's been obsoleted with gnupg 1.4.0. (closes: #293791)

 -- Julian Gilbey <jdg@debian.org>  Sun, 13 Mar 2005 13:51:29 +0000

devscripts (2.8.10) unstable; urgency=low

  * bts: better fix for option handling bug.  Options must all appear
    before first action name (closes: #290253 again, and prevents other
    similar problems with tag - tagname)

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 Jan 2005 10:57:15 +0000

devscripts (2.8.9) unstable; urgency=medium

  * bts: fix option handling to allow '+' to go through again.
    closes: #290253

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 13 Jan 2005 01:17:39 -0800

devscripts (2.8.8) unstable; urgency=low

  * bts: fix mbox handling in 2.8.7; this also obviates the need for
    cleaning out the cache if upgrading from 2.8.6.

 -- Julian Gilbey <jdg@debian.org>  Tue, 11 Jan 2005 09:58:38 +0000

devscripts (2.8.7) unstable; urgency=low

  * bts: fix option handling, thanks to Tristan Seligmann (closes:
    #289672)
  * bts: support reading downloaded mbox versions of bugs with mutt or
    alternative mail readers; also provide finer grained control over what
    gets cached in general.  NOTE that this has changed some incompatible
    changes from those introduced in version 2.8.6 (closes: #251099)
  * debclean: remove obsolete French translation of manpage

 -- Julian Gilbey <jdg@debian.org>  Mon, 10 Jan 2005 18:42:20 +0000
