## devscripts 2.9.4

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,13 @@
 
 PL_FILES = bts.pl checkbashisms.pl cvs-debuild.pl debchange.pl \
 	debdiff.pl debi.pl debpkg.pl debuild.pl dpkg-depcheck.pl \
-	dscverify.pl grep-excuses.pl plotchangelog.pl rc-alert.pl
+	dscverify.pl grep-excuses.pl plotchangelog.pl rc-alert.pl \
+	debcommit.pl svnpath.pl dd-list.pl
 
 SH_FILES = cvs-debi.sh cvs-debrelease.sh debclean.sh debrelease.sh \
 	debrsign.sh debsign.sh dpkg-genbuilddeps.sh mergechanges.sh \
-	tagpending.sh uscan.sh uupdate.sh wnpp-alert.sh
+	tagpending.sh uscan.sh uupdate.sh wnpp-alert.sh whodepends.sh \
+	annotate-output.sh archpath.sh deb-reversion.sh
 
 LIBS = libvfork.so.0
 
@@ -18,8 +20,11 @@
 EXAMPLES = conf.default
 
 MAN1S = $(SCRIPTS:=.1) debc.1 cvs-debc.1 devscripts.1
-GEN_MAN1S = bts.1
+GEN_MAN1S = bts.1 svnpath.1 debcommit.1 deb-reversion.1
 MAN5S = devscripts.conf.5
+MANS_fr_DIR = po4a/fr
+MAN1S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.1))
+MAN5S_fr = $(subst $(MANS_fr_DIR)/,,$(wildcard $(MANS_fr_DIR)/*.5))
 
 BINDIR = /usr/bin
 LIBDIR = /usr/lib/devscripts
@@ -28,6 +33,8 @@
 BIN_LIBDIR = /usr/lib/devscripts
 MAN1DIR = /usr/share/man/man1
 MAN5DIR = /usr/share/man/man5
+MAN1DIR_fr = /usr/share/man/fr/man1
+MAN5DIR_fr = /usr/share/man/fr/man5
 
 all: $(SCRIPTS) $(GEN_MAN1S) $(EXAMPLES) $(LIBS) $(CWRAPPERS)
 
@@ -53,8 +60,12 @@
 	VERSION=`cat version` && sed -e "s/###VERSION###/$$VERSION/" $< \
 	    > $@.tmp && mv $@.tmp $@
 
-bts.1: bts.pl
+%.1: %.pl
 	pod2man --center=" " --release="Debian Utilities" $< > $@
+
+%.1: %.dbk
+	xsltproc --nonet -o $@ \
+	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
 
 libvfork.o: libvfork.c
 	$(CC) -fPIC -D_REENTRANT $(CFLAGS) -c $<
@@ -84,6 +95,13 @@
 	mkdir -p $(DESTDIR)$(MAN5DIR)
 	cp $(MAN5S) $(DESTDIR)$(MAN5DIR)
 	cd $(DESTDIR)$(MAN1DIR) && ln -s debchange.1 dch.1
+	mkdir -p $(DESTDIR)$(MAN1DIR_fr)
+	cd $(MANS_fr_DIR) && cp $(MAN1S_fr) $(DESTDIR)$(MAN1DIR_fr)
+	mkdir -p $(DESTDIR)$(MAN5DIR_fr)
+	cd $(MANS_fr_DIR) && cp $(MAN5S_fr) $(DESTDIR)$(MAN5DIR_fr)
+	cd $(DESTDIR)$(MAN1DIR_fr) && ln -s debchange.1 dch.1
 	mkdir -p $(DESTDIR)$(EXAMPLES_DIR)
 	cp $(EXAMPLES) $(DESTDIR)$(EXAMPLES_DIR)
+#	-find $(DESTDIR) -type d -name '.svn' -exec rm -r \{\} \;
+#	-find $(DESTDIR) -type d -name 'CVS' -exec rm -r \{\} \;
