=== debian/changelog ===
devscripts (2.9.4) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: fix forwarded command (Closes: #320703)
  * debchange: un-html-ise bug titles when using --closes

  [ Joey Hess ]
  * bts: Support new block and unblock commands.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Aug 2005 22:13:47 -0400

devscripts (2.9.3) unstable; urgency=low

  [ Filippo Giunchedi ]
  * added deb-reversion by martin f krafft (Closes: #284642)
  * modified Makefile to handle docbook-generated manpages and build-depend on
    xsltproc + docbook-xsl

  [ Joey Hess ]
  * Fix suggests on subversion.
  * Other cleanups to references to revision control programs.

  [ Joshua Kwan ]
  * debchange: Fix dch -D behavior by adding some parentheses. closes: #319687
  * Add French manual pages, thanks to the French l10n team. closes: #292780

  [ Julian Gilbey ]
  * bts: support for notfound command (Closes: #320569)
  * debchange: change --closes command output format to place "(Closes:
    #nnnnn)" at end of changelog entry
  * debchange: don't require changelog to be modified when -e or -r option
    used

 -- Julian Gilbey <jdg@debian.org>  Sun, 31 Jul 2005 14:50:10 +0100

devscripts (2.9.2) unstable; urgency=low

  [ Julian Gilbey ]
  * debcommit: fix recognition of cvs trees

  [ Joey Hess ]
  * bts: Fix over-broad cgi url mangling to avoid mangling urls that are part
    of bug reports.
  * bts: fix retitle command, broken by extra param change in 2.9.
    Closes: #319367

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Jul 2005 12:57:47 -0400

devscripts (2.9.1) unstable; urgency=low

  [ Julian Gilbey ]
  * annotate -> annotate-output renaming, removing package conflict
    (closes: #319271, #319289)
  * debcommit: Apply Colin Watson's arch patch (see #319072)

  [ Joey Hess ]
  * debchange: Fix parsing of --release-heuristic switch.

 -- Julian Gilbey <jdg@debian.org>  Thu, 21 Jul 2005 09:51:17 +0100

devscripts (2.9) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: fix bts --mbox show nnnn after bts show nnnn
  * bts: add etch and etch-ignore tags (closes: #312493)
  * bts: tags: remove "fixed-in-experimental" and add "help"
  * debchange: use word "file" in manpage for --changelog option (closes:
    #301917)
  * debchange: debian/NEWS.Debian should have been debian/NEWS (closes:
    #303886)
  * debuild: correct manpage typo (closes: #309825)
  * debdiff: handle debdiff on two identically-named native .dsc files
    (closes: #307318)
  * grep-excuses: no longer cache web page, as per bug#309802 (closes:
    #225955)
  * rc-alert: no longer automatically create cache directory, as per
    bug#309802
  * uscan: handle annoying error message (closes: #303607)
  * uscan: mangle http://sf.net/ to use Filippo's sf.php script and work
    (closes: #242884)
  * uscan: handle tar.bz2 packages (related to #317331)
  * uupdate: handle dpkg 1.13 source format allowing bz2-compressed files
    and .debian.tar.gz files (closes: #317331)
  * wnpp-alert: accept -h and -v short options (closes: #304240)
  * wnpp-alert: don't cache such small files (closes: #309802)
  * wnpp-alert: check help_requested file and handle packages with no
    descriptions (closes: #318737)

  [ Joshua Kwan ]
  * Add a new script whodepends, written by Moshe Zadka, to check
    which maintainers' packages depend on a particular package.
    closes: #175832 (longstanding, huh?)
  * checkbashims: show usage if 0 arguments provided.

  [ Filippo Giunchedi ]
  * debdiff: handle .udeb files if found in .changes (closes: #215477)
  * debchange: add support for forcing a lower version
    (-b/--force-bad-version) (closes: #251436, #183424)
  * debsign: support for signing .commands files (Closes: #224523)
  * added annotate.sh and annotate.1
  * added archpath.sh and archpath.1, patch by Colin Watson (Closes: #319072)
  * export DH_ALWAYS_EXCLUDE in debian/rules as we are not interested in
    .svn/CVS directories 

  [ Joey Hess ]
  * debchange: support generating multi-developer changelogs, currently only
    supporting the format used in this changelog entry. If multiple developers
    are detected it will automatically add [ Full Name ] lines to disambiguate
    who did what.
  * debdiff: fix debdiff of dsc files to work with new dpkg-dev.
    Closes: #313293, #314811
  * Add debcommit, a script to commit to svn (or cvs) based on the contents of
    the changelog, and svnpath, which it uses to generate svn tags.
    Closes: #316577
  * debchange: Don't allow --closes in --news mode.
  * debchange: In --news mode, don't include "* Non-maintainer upload."
    entries
  * debchange: In --news mode, separate each new entry with a blank line
    and do not add bullets, to encourage not writing NEWS files like changelog
    files. Closes: #316660
  * debchange: Add --release-heuristic and DEBCHANGE_RELEASE_HEURISTIC
    options to control how it tells if a package was released.
  * debchange: Add new "changelog" release heuristic, which looks
    for a distribution of "UNRELEASED" in a changelog (and adds such a
    distribution by default when making new entries). Useful for packages
    maintained/released by multiple people.
  * debchange: Patch from David B Harris to implement --edit option.
    Closes: #234434
  * Add dd-list, originally by Lars Wirzenius, rewritten in perl.
    Closes: #316102
  * Ignore whitespace around package names in dd-list --stdin.
  * debchange: Add --release option.
  * bts: update and apply Filippo's patch to add a progress display while
    caching bugs. Closes: #237842
  * tagpending.1: Remove obsolete note about it using LDAP.
  * bts: add support for new version tracking extensions in the Debian BTS
    control interface.
  * bts: add support for "bts show package dist=stable" and the like.
  * bts: check for additional options and die
  * tagpending: add missing space after package limit when calling bts

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 20 Jul 2005 14:33:05 +0200
