=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: devel
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Uploaders: Joshua Kwan <joshk@triplehelix.org>
-Standards-Version: 3.6.1
-Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl
+Uploaders: Joshua Kwan <joshk@triplehelix.org>, Filippo Giunchedi <filippo@debian.org>, Joey Hess <joeyh@debian.org>
+Standards-Version: 3.6.2
+Build-Depends: perl (>= 5.8), debhelper (>= 4.0.0), libtimedate-perl, libwww-perl, xsltproc, docbook-xsl
 
 Package: devscripts
 Architecture: any
-Conflicts: debmake (<< 3.5), dupload (<< 2.1)
+Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51)
 Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95), ${shlibs:Depends}, ${misc:Depends}
 Recommends: fakeroot
-Suggests: devscripts-el, build-essential, cvs-buildpackage, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx, patch, patchutils, ssh, strace, wdiff, wget, www-browser
-Conflicts: suidmanager (<< 0.51)
+Suggests: devscripts-el, build-essential, cvs-buildpackage, cvs | subversion | tla | bazaar, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx, patch, patchutils, ssh, strace, wdiff, wget, www-browser
 Description: Scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:
+  - annotate-output: prepend time and stream (O for stdout E for sterr) for
+      every line of output
+  - archpath: print tla/Bazaar package names [tla | bazaar]
   - bts: a command-line tool for manipulating the BTS [www-browser,
       libwww-perl, mailx]
   - checkbashisms: check whether a /bin/sh script contains any common
@@ -28,9 +30,12 @@
   - cvs-debuild: run cvs-buildpackage using debuild (see below) as the
       package building program [cvs-buildpackage, fakeroot, lintian | linda,
       gnupg]
+  - dd-list: given a list of packages, pretty-print it ordered by maintainer
   - debc: display the contents of just-built .debs
   - debchange/dch: automagically add entries to debian/changelog files [wget]
   - debclean: purge a Debian source tree [fakeroot]
+  - debcommit: commit changes to cvs or svn, basing commit message on
+      changelog [cvs | subversion]
   - debdiff: compare two versions of a Debian package to check for
       added and removed files [wdiff, patchutils]
   - debi: install a just-built package
@@ -44,6 +49,8 @@
       about how to invoke dpkg to build using fakeroot.  Also deals
       with common environment problems, umask etc. [fakeroot,
       lintian | linda, gnupg]
+  - deb-reversion: increases a binary package version number and repacks the
+      archive
   - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
       the build of a Debian package; useful for determining the Build-Depends
       control field needed [build-essential, strace]
@@ -55,11 +62,13 @@
   - plotchangelog: view a nice plot of the data in a changelog file
       [libtimedate-perl, gnuplot]
   - rc-alert: list installed packages which have release-critical bugs [wget]
+  - svnpath: print svn repository paths [subversion]
   - tagpending: shell script which runs from a Debian source tree and tags
       bugs that are to be closed in the latest changelog as pending.
       [wget]
   - uscan: scan upstream sites for new releases of packages [libwww-perl]
   - uupdate: integrate upstream changes into a source package [patch]
+  - whodepends: check which maintainers' packages depend on a package
   - wnpp-alert: list installed packages which are orphaned or up for
       adoption [wget]
  Also included are a set of example mail filters for filtering mail
