## devscripts 2.9.10

=== debian/changelog ===
devscripts (2.9.10) unstable; urgency=low

  * bts: handle 8-bit encodings in DEBFULLNAME for "From:" field of emails
    sent (Closes: #339657)
  * bts: submitter and reassign accept multiple bug numbers (Closes:
    #237726)
  * bts: document "it" for referring to previous bug number
  * debchange: provide -m/--maintmaint switch to use the maintainer name
    from the most recent changelog entry rather than using the environment
    variables (Closes: #232000)
  * debcommit: add support for bzr (Closes: #340301)
  * debuild: improve examples in manpage (Closes: #326881)
  * dpkg-depcheck: completely rewrite symlink handling code to fix bug
    where /usr was a symlink (Closes: #246006)

 -- Julian Gilbey <jdg@debian.org>  Sat,  3 Dec 2005 20:24:38 +0000

devscripts (2.9.9) unstable; urgency=low

  [ Filippo Giunchedi ]
  * uscan: add option to set LWP timeout, patch by Stephen Quinney
    (Closes: #335181)

  [ Julian Gilbey ]
  * bts: fix handling of arguments to show command; translate "tag:..."
    into "include=..." when given as a second argument (Closes: #338171)
  * bts: don't treat something like "bts close #123456" as a comment
    (Closes: #337737)
  * debchange: reapply --edit patch from bug#234434 (Closes: #336632)
  * debcommit: fix version grepping in changelog parsing (Closes: #336025)
  * debdiff: add --quiet switch and set exit status according to diff
    status (Closes: #337829)
  * debuild: improve grammar of usage message

  [ Joey Hess ]
  * bts: sleep a default of 5 seconds between bts cache downloads
    to avoid hammering the underprovisioned debian BTS/master archive server.
  * bts: add --cache-delay parameter to tune this

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Nov 2005 10:46:49 -0500

devscripts (2.9.8) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: don't require user for usertags (Closes: #326560)
  * bts: fix manpage typos (Closes: #328972, #328974, #328477)
  * bts: fix bug in getting timestamps
  * debdiff: handle filenames with spaces (Closes: #334145)
  * debdiff: compare symlinks more carefully (Closes: #327090)
  * dd-list: support displaying uploaders with new --uploaders/-u option
    (Closes: #328459)
  * uscan: correctly handle version 2 watchfiles with multiple groups
    (Closes: #327258)
  * uupdate: handle csae of debian/ directory in upstream sources (Closes:
    #320836)
  * uupdate: fix --no-symlink option (Closes: #333390)
  * don't allow non-bash scripts in the package (Closes: #331223)

  [ Joey Hess ]
  * debchange: -r needs to enable multi-maintainer markers when releasing a
    package if the releaser is not the same as the only person who made any
    changes.

  [ Joshua Kwan ]
  * Clarify annotate-output sub-description in control file.

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 Oct 2005 13:07:30 +0100

devscripts (2.9.7) unstable; urgency=low

  * bts: oops, left out a space in usertags command

 -- Julian Gilbey <jdg@polya.uklinux.net>  Sun,  4 Sep 2005 01:51:24 +0100

devscripts (2.9.6) unstable; urgency=low
  
  [ Julian Gilbey ]
  * bts: tags: revert change in 2.9: reinstate "fixed-in-experimental" (it
    still appears to be in use) and don't need "help" twice (Closes: #325480)
  * bts: show/cache: lots of changes to make compatible with new BTS HTML
    pages (Closes: #325966)
    Also store devscripts version with cached files, so that such changes
    can be handled more smoothly in future.
  * bts: small cleanups for output messages, minor bugfixes etc.
  * bts: introduce spam command to report spam in bug reports
  * bts: support new user/usertags commands (Closes: #326265)
  * checkbashisms: correctly detect "function" keyword (Closes: #324599)
  * uscan: report on package being scanned when --report is used (Closes:
    #324102)
  * uscan: provide --report-status option to distinguish from --report,
    which is now quieter (Closes: #325097, #325980)

  [ Filippo Giunchedi ]
  * uscan: fixed some repeated tags when used with --dehs
  * uscan: expand some entities in dehs_output
  * bts: download bugs.css and use it (Closes: #323781)
  * bts: remove some old cache handling cruft since sarge is released

  [ Joey Hess ]
  * dd-list: add --dctrl option for quick reading from grep-dctrl.
  * grep-excuses: remove special case for running locally on ftp-master,
    which breaks every time ftp-master moves (or directories are reorganised),
    and only saved some loopback traffic anyway.
  * grep-excuses: fix non-robust html parsing that caused ugly messages
    when it failed to find </ul> at the end of the excuses file due
    to reformatting.

 -- Julian Gilbey <jdg@polya.uklinux.net>  Sun,  4 Sep 2005 01:08:47 +0100

devscripts (2.9.5) unstable; urgency=low

  [ Joey Hess ]
  * bts: Make block command accept "by" or "with" after the blocked bug,
    but do not make either mandatory.
  * debcommit: try to add support for svk

  [ Julian Gilbey ]
  * bts: fix clone command (Closes: #321798)
  * debchange: add comment to manpage about building sponsored uploads
    (Closes: #321960)
  * debchange: introduce --create option: allows creation of changelogs /
    NEWS files (Closes: #220755, #322716), and inform user about this
    option if changelog / NEWS file is not found (Closes: #316661)
  * debchange: allow option (--nomultimaint) to not use this
    multi-maintainer changelog format
  * debsign: fix noecho behaviour for interrupted gpg call (Closes:
    #321684)
  * uscan: --report actually reports useful information (Closes: #313323)
  * wnpp-alert: RFA -> RFH (Closes: #321707)

  [ Joey Hess ]
  * bts: Deal with recent bts changes in html munging code.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Aug 2005 12:08:09 -0400
