=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 Description: Scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:
-  - annotate-output: prepend time and stream (O for stdout E for sterr) for
-      every line of output
+  - annotate-output: run a command and prepend time and stream (O for stdout,
+      E for stderr) for every line of output
   - archpath: print tla/Bazaar package names [tla | bazaar]
   - bts: a command-line tool for manipulating the BTS [www-browser,
       libwww-perl, mailx]
