=== debian/changelog ===
devscripts (2.9.10-0ubuntu0.1) dapper-security; urgency=low

  * SECURITY UPDATE: fix handling of mangle rules in watch files to
    not execute them as Perl code
    - patch adapted from r1984, r1992 and r2006 of Debian svn
    - CVE-2009-2946

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 08 Oct 2009 15:19:55 -0500
